Error loading VM tab on new host, undefined method `[]' for nil:NilClass

06/03/2013 04:18 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Host creation   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When creating a new host, select a libvirt compute resource as the first action and the Virtual Machine tab will fail to load:

NoMethodError - undefined method `[]' for nil:NilClass:

  app/views/compute_resources_vms/form/_libvirt.html.erb:30:in `_app_views_compute_resources_vms_f

orm__libvirt_html_erb__1886783418346172016_70035848515480'

  actionpack (3.2.13) lib/action_view/template.rb:145:in `block in render'

 If you select an EC2 CR first, the compute_attributes params get loaded and then loading the libvirt pane works.

Associated revisions

Revision 446fce67 - 06/03/2013 06:46 AM - Dominic Cleal

fixes #2603 - handle missing compute_resources param loading VM tab

Revision b54b0ca8 - 06/04/2013 01:06 PM - Dominic Cleal

fixes #2603 - handle missing compute_resources param loading VM tab

(cherry picked from commit 446fce677185cde7215c602a0e476f3692e36ad4)

History

#1 - 06/03/2013 04:21 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/681

#2 - 06/03/2013 07:17 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 446fce677185cde7215c602a0e476f3692e36ad4.

Powered by TCPDF (www.tcpdf.org)

05/17/2024 1/1

https://github.com/theforeman/foreman/pull/681
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/446fce677185cde7215c602a0e476f3692e36ad4
http://www.tcpdf.org

